# Class QuorumStats

java.lang.Object
org.apache.zookeeper.server.quorum.QuorumStats

public class QuorumStats extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`QuorumStats.Provider`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`QuorumStats(QuorumStats.Provider provider)`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getQuorumPeers()`
`String`
`getServerState()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QuorumStats

protected QuorumStats(QuorumStats.Provider provider)

## Method Details

### getServerState

public String getServerState()

### getQuorumPeers

public String[] getQuorumPeers()

### toString

public String toString()

Overrides:
  `toString` in class `Object`